Bug 13414 - MSG_SMB_UNLOCK bounces between cleanupds
MSG_SMB_UNLOCK bounces between cleanupds
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Clustering
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-30 16:05 UTC by Ralph Böhme
Modified: 2018-05-09 07:55 UTC (History)
3 users (show)

See Also:


Attachments
git-am fix for 4.8.next. (2.18 KB, patch)
2018-05-04 19:05 UTC, Jeremy Allison
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2018-04-30 16:05:40 UTC
Killing a single smbd in a cluster results in MSG_SMB_UNLOCK messages bouncing between nodes:

[2018/04/30 15:44:57.824893,  1, pid=1646] ../source3/smbd/server.c:881(remove_child_pid)
  Scheduled cleanup of brl and lock database after unclean shutdown

...

[2018/04/30 15:45:17.836225,  1, pid=1654] ../source3/smbd/smbd_cleanupd.c:99(smbd_cleanupd_unlock)
  smbd_cleanupd_unlock: Cleaning up brl and lock database after unclean shutdown
[2018/04/30 15:45:17.843968,  1, pid=1654] ../source3/smbd/smbd_cleanupd.c:99(smbd_cleanupd_unlock)
  smbd_cleanupd_unlock: Cleaning up brl and lock database after unclean shutdown
[2018/04/30 15:45:17.847836,  1, pid=1654] ../source3/smbd/smbd_cleanupd.c:99(smbd_cleanupd_unlock)
  smbd_cleanupd_unlock: Cleaning up brl and lock database after unclean shutdown
[2018/04/30 15:45:17.851000,  1, pid=1654] ../source3/smbd/smbd_cleanupd.c:99(smbd_cleanupd_unlock)
  smbd_cleanupd_unlock: Cleaning up brl and lock database after unclean shutdown
[2018/04/30 15:45:17.854174,  1, pid=1654] ../source3/smbd/smbd_cleanupd.c:99(smbd_cleanupd_unlock)
  smbd_cleanupd_unlock: Cleaning up brl and lock database after unclean shutdown

This was probably introduced by the patches around 6423ca4bf293cac5e2f84b1a37bb29b06b5c05ed.

Working on a fix...
Comment 1 Jeremy Allison 2018-05-04 19:05:44 UTC
Created attachment 14178 [details]
git-am fix for 4.8.next.

Cherry-picked from master.
Comment 2 Jeremy Allison 2018-05-04 19:14:23 UTC
Comment on attachment 14178 [details]
git-am fix for 4.8.next.

Hmmm. hang on a minute. 6423ca4bf293cac5e2f84b1a37bb29b06b5c05ed only exists in 4.8.x, so I think this patch should only be applied to 4.8.next, not 4.7.next.

Ralph, can you confirm ?
Comment 3 Ralph Böhme 2018-05-04 20:39:45 UTC
Comment on attachment 14178 [details]
git-am fix for 4.8.next.

Yup, this one only needs to be fixed in 4.8.

Oh, and thanks for doing my work of backporting the fix! :)
Comment 4 Ralph Böhme 2018-05-04 20:40:19 UTC
Reassigning to Karolin for inclusion in 4.8.
Comment 5 Karolin Seeger 2018-05-07 07:55:13 UTC
(In reply to Ralph Böhme from comment #4)
Pushed to autobuild-v4-8-test.
Comment 6 Karolin Seeger 2018-05-09 07:55:08 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to v4-8-test.
Closing out bug report.

Thanks!